
<?php 
/******Home page *****/
get_header(); 

/*****BAnners******/
if( have_rows('home_page_banners') ):

?>
 <div class="owl-carousel owl-theme banner_slider">
<?php while ( have_rows('home_page_banners') ) : the_row(); 
	if( get_sub_field('banner_image')!=''):
	?>
    <div class="item">
      <div class="container content">
        <h2><?php echo get_sub_field('banner_heading_1'); ?></h2>
        <h3><?php echo get_sub_field('banner_heading_2	'); ?></h3>
      </div>
      <img src="<?php echo get_sub_field('banner_image'); ?>">
    </div> 
<?php
	endif;	
 endwhile; ?>
  </div>
<?php
endif;
 /*****Banners end******/ ?>
<?php /******Services Section*******/ 

$args = array(
  'posts_per_page'   => 12,
  'orderby'          => 'ID',
  'order'            => 'ASC',
  'post_type'        => 'services',
  'post_status'      => 'publish',
);
$services_array = get_posts( $args ); 
?>

  <section class="service_home">
    <div class="container">
      <div class="row">
        <div class="col-md-12 txt_center">
          <h2 class="service_hed"><span>Our</span> Services</h2>
        </div>
      </div>
    </div>
    <div class="list">
        <div class="container">
          <div class="row">
          	<?php foreach($services_array as $service){ 
          		?>
            <div class="col-md-3">
              <div class="serice_item">
              	<?php if(!empty(get_field('front_page_icon',$service->ID))) : ?> <img src="<?php echo get_field('front_page_icon',$service->ID); ?>"><?php endif; ?>
                <h2><a href="<?php echo get_permalink($service->ID); ?>"><?php echo $service->post_title; ?></a></h2>
                <p><?php echo get_field('front_page_content',$service->ID); ?></p>
              </div>
            </div>
        <?php } ?>
          </div>
        </div>
    </div>
  </section>
  <?php /******Services Section end*******/ ?>
  <section class="about_home">
    <div class="container">
      <div class="row">
        <div class="col-md-6">
          <h2>About Us</h2>
          <p><?php echo get_field('home_about_us_content'); ?></p>
        </div>
        <div class="col-md-6">
          <h2>Mission & Vision</h2>
          <p><?php echo get_field('mission_and_vision_content'); ?></p>
        </div>
      </div>
    </div>
  </section>
   <?php $args = array(
  'posts_per_page'   => 12,
  'orderby'          => 'ID',
  'order'            => 'ASC',
  'post_type'        => 'testimonials',
  'post_status'      => 'publish',
);
$testimonials_array = get_posts( $args );


   /******Testimonials Section*******/ ?>
  <section class="testmonial_home" style="background-image: url(<?php echo of_get_option('testimonial_background_img'); ?>);">
    <div class="container">
      <h2>Testmonial</h2>
      <div class="owl-carousel owl-theme testmonial_slider">
       <?php foreach($testimonials_array as $testimonial){ ?>
        <div class="item">
          <div class="testmonial">
            <div class="det">
              <p><?php echo $testimonial->post_content; ?></p>
            </div>
            <div class="image" style="background-image: url(<?php echo get_the_post_thumbnail_url($testimonial->ID); ?>);"></div>
            <div class="user_details">
              <span class="name"><?php echo $testimonial->post_title; ?></span>
            </div>
          </div>
        </div>
        <?php } ?> 
      </div>
    </div>
  </section>
  <section class="client_home">
    <div class="container">
      <div class="row">
        <div class="col-md-12 txt_center">
          <h2>Client</h2>
        </div>
      </div>

<?php if( have_rows('clients_field') ): ?>
      <div class="owl-carousel owl-theme client_slider">
      	<?php while ( have_rows('clients_field') ) : the_row();
      	if( get_sub_field('home_client_images')!=''):		
      	 ?>
        <div class="item">
          <img src="<?php echo get_sub_field('home_client_images'); ?>">
        </div>
    <?php endif; ?>
     <?php endwhile; ?>
      </div>
<?php endif; ?>

    </div>
  </section>
  <?php 

  	$args = array(
  'posts_per_page'   => 12,
  'orderby'          => 'ID',
  'order'            => 'ASC',
  'post_type'        => 'blogs',
  'post_status'      => 'publish',
);
$blogs_array = get_posts( $args );
  /****Blogs****/ ?>
  <section class="blog_home" style="background-image: url(<?php echo of_get_option('testimonial_background_img'); ?>);">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <h2>Latest Blogs</h2>
        </div>
<?php foreach($blogs_array as $blogs){ 
	$title=$blogs->post_title;
    $date=date('d',strtotime($blogs->post_date));
    $month=date('M',strtotime($blogs->post_date));
    $excrept= wp_trim_words( $blogs->post_content,  20, null );
    $featureimage=get_the_post_thumbnail_url($blogs->ID);	


	?>
        <div class="col-md-3 col-sm-6 blog_post_tile">
          <a alt="" title="" href="<?php echo get_permalink($blogs->ID); ?>" class="blog_tile">
              <div class="blog_img">
                <div class="datemonth">
                  <span class="date"><?php echo $date; ?></span>
                  <span class="month"><?php echo $month; ?></span>
                </div>
                <img alt="" src="<?php echo $featureimage; ?>">
              </div>
              <div class="det">
                <h3><?php echo $title; ?></h3>
                <p><?php echo $excrept; ?></p>
                <span class="more">Read more</span>
              </div>
            </a>
        </div>
        <?php } ?>	
      </div>
    </div>
  </section>
  <?php /****Blogs end****/ ?>
<?php  get_footer(); ?>
