<?php defined( 'ABSPATH' ) or die( 'No script kiddies please!' ); 
/*
Plugin Name:  Master
Description:  Creates post type
Version:      1.0.0
Author:       V V
*/
class Master{
	public function __construct(){
		add_action( 'init', array($this,'codex_services_init') );
		//add_action( 'init', array($this,'hide_plugin_editor') );
		add_action( 'init', array($this,'create_technology_taxonomies'),0 );

	}	
	public function codex_services_init(){
		add_theme_support( 'post-thumbnails' ); 
		$labels = array(
		'name'               => _x( 'Services', 'post type general name', 'your-plugin-textdomain' ),
		'singular_name'      => _x( 'Service', 'post type singular name', 'your-plugin-textdomain' ),
		'menu_name'          => _x( 'Services', 'admin menu', 'your-plugin-textdomain' ),
		'name_admin_bar'     => _x( 'Service', 'add new on admin bar', 'your-plugin-textdomain' ),
		'add_new'            => _x( 'Add New', 'service', 'your-plugin-textdomain' ),
		'add_new_item'       => __( 'Add New Service', 'your-plugin-textdomain' ),
		'new_item'           => __( 'New Service', 'your-plugin-textdomain' ),
		'edit_item'          => __( 'Edit Service', 'your-plugin-textdomain' ),
		'view_item'          => __( 'View Service', 'your-plugin-textdomain' ),
		'all_items'          => __( 'All Services', 'your-plugin-textdomain' ),
		'search_items'       => __( 'Search Services', 'your-plugin-textdomain' ),
		'parent_item_colon'  => __( 'Parent Services:', 'your-plugin-textdomain' ),
		'not_found'          => __( 'No services found.', 'your-plugin-textdomain' ),
		'not_found_in_trash' => __( 'No services found in Trash.', 'your-plugin-textdomain' )
	);

	$args = array(
		'labels'             => $labels,
                'description'        => __( 'Description.', 'your-plugin-textdomain' ),
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'services' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments' )
	);

	register_post_type( 'services', $args );
		$labels = array(
		'name'               => _x( 'Downloads', 'post type general name', 'your-plugin-textdomain' ),
		'singular_name'      => _x( 'Download', 'post type singular name', 'your-plugin-textdomain' ),
		'menu_name'          => _x( 'Downloads', 'admin menu', 'your-plugin-textdomain' ),
		'name_admin_bar'     => _x( 'Download', 'add new on admin bar', 'your-plugin-textdomain' ),
		'add_new'            => _x( 'Add New', 'Downloads', 'your-plugin-textdomain' ),
		'add_new_item'       => __( 'Add New Download', 'your-plugin-textdomain' ),
		'new_item'           => __( 'New Download', 'your-plugin-textdomain' ),
		'edit_item'          => __( 'Edit Download', 'your-plugin-textdomain' ),
		'view_item'          => __( 'View Download', 'your-plugin-textdomain' ),
		'all_items'          => __( 'All Downloads', 'your-plugin-textdomain' ),
		'search_items'       => __( 'Search Downloads', 'your-plugin-textdomain' ),
		'parent_item_colon'  => __( 'Parent Download:', 'your-plugin-textdomain' ),
		'not_found'          => __( 'No Downloads found.', 'your-plugin-textdomain' ),
		'not_found_in_trash' => __( 'No Downloads found in Trash.', 'your-plugin-textdomain' )
	);

	$args = array(
		'labels'             => $labels,
                'description'        => __( 'Description.', 'your-plugin-textdomain' ),
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'downloads' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments' )
	);

	register_post_type( 'Downloads', $args );
		$labels = array(
		'name'               => _x( 'Testimonials', 'post type general name', 'your-plugin-textdomain' ),
		'singular_name'      => _x( 'Testimonial', 'post type singular name', 'your-plugin-textdomain' ),
		'menu_name'          => _x( 'Testimonials', 'admin menu', 'your-plugin-textdomain' ),
		'name_admin_bar'     => _x( 'Testimonials', 'add new on admin bar', 'your-plugin-textdomain' ),
		'add_new'            => _x( 'Add New', 'Testimonials', 'your-plugin-textdomain' ),
		'add_new_item'       => __( 'Add New Testimonials', 'your-plugin-textdomain' ),
		'new_item'           => __( 'New Testimonial', 'your-plugin-textdomain' ),
		'edit_item'          => __( 'Edit Testimonial', 'your-plugin-textdomain' ),
		'view_item'          => __( 'View Testimonial', 'your-plugin-textdomain' ),
		'all_items'          => __( 'All Testimonials', 'your-plugin-textdomain' ),
		'search_items'       => __( 'Search Testimonials', 'your-plugin-textdomain' ),
		'parent_item_colon'  => __( 'Parent Testimonials:', 'your-plugin-textdomain' ),
		'not_found'          => __( 'No Testimonials found.', 'your-plugin-textdomain' ),
		'not_found_in_trash' => __( 'No Testimonials found in Trash.', 'your-plugin-textdomain' )
	);

	$args = array(
		'labels'             => $labels,
                'description'        => __( 'Description.', 'your-plugin-textdomain' ),
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'testimonials' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'thumbnail',)
	);

	 register_post_type( 'testimonials', $args );
	$labels = array(
		'name'               => _x( 'Blogs', 'post type general name', 'your-plugin-textdomain' ),
		'singular_name'      => _x( 'Blog', 'post type singular name', 'your-plugin-textdomain' ),
		'menu_name'          => _x( 'Blogs', 'admin menu', 'your-plugin-textdomain' ),
		'name_admin_bar'     => _x( 'Blog', 'add new on admin bar', 'your-plugin-textdomain' ),
		'add_new'            => _x( 'Add New', 'Blog', 'your-plugin-textdomain' ),
		'add_new_item'       => __( 'Add New Blog', 'your-plugin-textdomain' ),
		'new_item'           => __( 'New Blog', 'your-plugin-textdomain' ),
		'edit_item'          => __( 'Edit Blog', 'your-plugin-textdomain' ),
		'view_item'          => __( 'View Blog', 'your-plugin-textdomain' ),
		'all_items'          => __( 'All Blog', 'your-plugin-textdomain' ),
		'search_items'       => __( 'Search Blogs', 'your-plugin-textdomain' ),
		'parent_item_colon'  => __( 'Parent Blogs:', 'your-plugin-textdomain' ),
		'not_found'          => __( 'No Blogs found.', 'your-plugin-textdomain' ),
		'not_found_in_trash' => __( 'No Blogs found in Trash.', 'your-plugin-textdomain' )
	);

	$args = array(
		'labels'             => $labels,
                'description'        => __( 'Description.', 'your-plugin-textdomain' ),
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'blogs' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'thumbnail',)
	);

	register_post_type( 'blogs', $args );

	}
	public function create_technology_taxonomies() {
	// Add new taxonomy for custom post type 
	$labels = array(
		'name'              => _x( 'Project Category', 'taxonomy general name', 'textdomain' ),
		'singular_name'     => _x( 'Project Category', 'taxonomy singular name', 'textdomain' ),
		'search_items'      => __( 'Search Project Category', 'textdomain' ),
		'all_items'         => __( 'All Project Category', 'textdomain' ),
		'parent_item'       => __( 'Parent Project Category', 'textdomain' ),
		'parent_item_colon' => __( 'Parent Project Category:', 'textdomain' ),
		'edit_item'         => __( 'Edit Project Category', 'textdomain' ),
		'update_item'       => __( 'Update Project Category', 'textdomain' ),
		'add_new_item'      => __( 'Add New Project Category', 'textdomain' ),
		'new_item_name'     => __( 'New Project Category Name', 'textdomain' ),
		'menu_name'         => __( 'Project Category', 'textdomain' ),
	);

	$args = array(
		'hierarchical'      => true,
		'labels'            => $labels,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		'rewrite'           => array( 'slug' => 'ProjectCategory' ),
	);

	//register_taxonomy( 'Project_Category', 'projects', $args );
	add_theme_support( 'post-thumbnails');
}	

		

}
$master=new  Master();

?>