<?php get_header(); ?>
    <style type="text/css">
      header {
        background: #fff;
        position: relative;
      }
    </style>
  <div class="inner_banner" style="background-image: url(<?php if(!empty(of_get_option('services_background_img'))) echo of_get_option('services_background_img'); ?>);">
    <div class="container">
      <div class="row">
        <div class="col-md-6">
          <h1>About US</h1>
        </div>
        <div class="col-md-6">
          <ul class="breadcrumbs">
            <li><a href="">About Us</a></li>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <section class="about_pg">
    <div class="container">
      <div class="row">
        <div class="col-md-4 img_sp">
         <?php if(!empty(get_field('section_1_image'))) : ?> <img src="<?php echo get_field('section_1_image'); ?>"><?php endif; ?>
        </div>
        <div class="col-md-8">
          <h2><?php echo get_field('section_1_header'); ?></h2>
          <p><?php echo get_field('section_1_content'); ?></p>
        </div>
      </div>
    </div>
    <div class="sider_sp mt30 mb30">
      <div class="container">
        <h2><?php echo get_field('section_2_heading'); ?></h2>
        <p><?php echo get_field('section_2_content'); ?></p>

        <?php if( have_rows('section_2_images') ): ?>
        <div class="owl-carousel owl-theme client_slider">
          <?php while ( have_rows('section_2_images') ) : the_row(); 
              if( get_sub_field('client_images')!=''):
           ?>
          <div class="item">
            <img src="<?php echo get_sub_field('client_images'); ?>">
          </div>
          <?php
            endif;  
           endwhile; 
           ?>
        </div>
      <?php endif; ?>
      </div>
    </div>
    <div class="container">
      <div class="row">
        <div class="col-md-8">
          <h2><?php echo get_field('section_3_heading'); ?></h2>
          <p><?php echo get_field('section_3_content'); ?></p>
        </div>
        <div class="col-md-4 img_sp">
         <?php if(!empty(get_field('section_1_image'))) : ?> <img src="<?php echo get_field('section_1_image'); ?>"><?php endif; ?>
        </div>
      </div>
    </div>
    <div class="sider_sp mt30">
      <div class="container">
        <h2><?php echo get_field('section_4_heading'); ?></h2>
        <p><?php echo get_field('section_4_content'); ?></p>
        <?php if( have_rows('section_4_images') ): ?>
        <div class="owl-carousel owl-theme client_slider">
          <?php while ( have_rows('section_4_images') ) : the_row(); 
              if( get_sub_field('section_images')!=''): ?>
          <div class="item">
            <img src="<?php echo get_sub_field('section_images'); ?>">
          </div>
           <?php
            endif;  
           endwhile; 
           ?>
        </div>
         <?php endif; ?> 
      </div>
    </div>
  </section>
<?php get_footer();?>