<?php 
/*template:blogs*/

get_header(); ?>
<style type="text/css">
      header {
        background: #fff;
        position: relative;
      }
    </style>
  <div class="inner_banner" style="background-image: url(<?php if(!empty(of_get_option('services_background_img'))) echo of_get_option('services_background_img'); ?>);">
    <div class="container">
      <div class="row">
        <div class="col-md-6">
          <h1>Blog</h1>
        </div>
        <div class="col-md-6">
          <ul class="breadcrumbs">
            <li><a href="">Blog</a></li>
          </ul>
        </div>
      </div>
    </div>
  </div>

  <?php $args = array(
  'posts_per_page'   => -1,
  'orderby'          => 'date',
  'order'            => 'DESC',
  'post_type'        => 'blogs',
  'post_status'      => 'publish',
);
$posts_array = get_posts( $args ); 

?>


  <section class="blog_listpg">
    <div class="container">
      <div class="row">

        <?php foreach ($posts_array as  $blogs) {
          $title=$blogs->post_title;
          $date=date('d',strtotime($blogs->post_date));
          $month=date('M',strtotime($blogs->post_date));
          $excrept= wp_trim_words( $blogs->post_content,  20, null );
          $featureimage=get_the_post_thumbnail_url($blogs->ID);

          ?>
        <div class="col-md-3 col-sm-6 blog_post_tile">
          <a alt="" title="" href="<?php echo get_permalink($blogs->ID); ?>" class="blog_tile">
              <div class="blog_img">
                <div class="datemonth">
                  <span class="date"><?php echo $date; ?></span>
                  <span class="month"><?php echo $month; ?></span>
                </div>
                <img alt="" src="<?php echo $featureimage; ?>">
              </div>
              <div class="det">
                <h3><?php echo $title; ?></h3>
                <p><?php echo $excrept; ?></p>
                <span class="more">Read more</span>
              </div>
            </a>
        </div>
      <?php } ?>
      </div>
    </div>
  </section>
<?php  get_footer(); ?>